Bug 1021399 - Show 503 error after deploying for nodejs-0.10 app with hot_deploy marker enable
Show 503 error after deploying for nodejs-0.10 app with hot_deploy marker enable
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: Andy Goldstein
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-21 04:54 EDT by Lei Zhang
Modified: 2015-05-14 19:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-23 22:25:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lei Zhang 2013-10-21 04:54:55 EDT
Description of problem:
Create one nodejs-0.10 app, enable hot_deploy marker, and git push. Found 503 error shows when accessing via browser

Version-Release number of selected component (if applicable):
devenv_3921

How reproducible:
always

Steps to Reproduce:
1.create one nodejs app 
#rhc create mynodejs010 nodejs-0.10 
2.create hot_deploy marker and git push
#touch .openshift/markers/hot_deploy && git add . && git commit -amp && git push
3.

Actual results:
Show 503 error after deploying for nodejs-0.10 app with hot_deploy marker enable

Expected results:
nodejs-0.10 app can be accessed after deploying with hot_deploy marker enable

Additional info:
Comment 1 Andy Goldstein 2013-10-23 08:14:52 EDT
https://github.com/openshift/origin-server/pull/3955
Comment 2 Lei Zhang 2013-10-23 23:03:35 EDT
Verified on devenv_3937, after deploying with hot-marker, Home page of nodejs-0.10 app can be accessed.

[rayzhang@ray Work]$ curl -I http://mynodejs010-chunchen.dev.rhcloud.com/
HTTP/1.0 200 OK
Date: Thu, 24 Oct 2013 02:46:51 GMT
X-Powered-By: Express
Content-Type: text/html; charset=UTF-8
Content-Length: 5240
Vary: Accept-Encoding,User-Agent
ProxyTime: D=5313
X-Cache: MISS from file01.intranet.prod.int.rdu2.redhat.com
X-Cache-Lookup: MISS from file01.intranet.prod.int.rdu2.redhat.com:8080
Via: 1.0 file01.intranet.prod.int.rdu2.redhat.com (squid/3.1.10)
Connection: keep-alive

Note You need to log in before you can comment on or make changes to this bug.